package com.jeeplus.business.humanResources.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 员工离职表
 */
@Data
@TableName("staff_dimission")
public class StaffDimissionDTO extends BaseEntity {

    //离职原因
    private String reason;

    //离职日期
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date dimissionDate;

    private String status;                //流程状态
    private String procInsId;
    private String processDefinitionId;

    private String taskId;

    private String officeName;

    private List<WorkAttachmentInfo> files;

    //离职日期
    private String[] dates;

    private String createName;

    private String officeId;

    //交接信息
    private String heirStatus;
    private String procInsIdHeir;
    private String procsDefIdHeir;
    private String taskIdHeir;
    private String heirId;
}
